[English](./README.md) | 简体中文

![](https://www.nocobase.com/images/demo/11.png)  

## NocoBase 是什么

NocoBase 是一个极易扩展的开源无代码开发平台。
无需编程，使用 NocoBase 搭建自己的协作平台、管理系统，只需要几分钟时间。 

中文官网：  
https://cn.nocobase.com/

在线体验：  
https://demo-cn.nocobase.com/new

文档：  
https://docs-cn.nocobase.com/

## 适用场景

如果你有以下需求，NocoBase 就是为你设计的：

- 开发组织内部管理系统
- 通过无代码开发，满足大部分业务需求
- 通过扩展开发，满足个性化业务需求
- 系统功能需要频繁变动
- 私有部署，掌控全部代码和数据
- 可免费使用，也可以付费获得更多技术支持

## 为什么选择 NocoBase

- **开源免费**
   - 采用 Apache-2.0 许可协议，不限制商业使用
   - 拥有全部代码，私有化部署，保障数据私有和安全
   - 针对实际需求自由扩展开发
   - 具备良好的生态支持
- **无代码能力强**
	- 数据模型
		- 使用文本、日期、数字、附件、选项、图标等数十种字段类型，以及一对一、一对多、多对多等各种关联关系，创建独立的数据模型
	- 区块
		- 使用表格、表单、看板、日历、详情等区块类型在页面内自由组合，来展示和操作数据
	- 权限
		- 基于角色控制用户的系统配置权限、数据操作权限和菜单访问权限
	- 工作流
		- 重复性的任务由自动化代替，减少人工操作， 提高效率。重要的事情需经过人工审批。
	- 菜单
		- 可以对菜单分组，支持添加页面和链接，支持无限级子菜单
	- 操作
		- 支持筛选、导出、添加、删除、修改、查看等操作对数据进行处理，可以扩展更多类型
- **对开发者友好**
   - 微内核，灵活易扩展，具备健全的插件体系
   - 基于 Node.js，使用主流框架和技术，包括 Koa、Sequelize、React、Formily、Ant Design 等
   - 渐进式开发，上手难度低，对新人友好
   - 不绑架、不强依赖，可任意组合使用或扩展，可用于现有项目中

## NocoBase 架构

![](https://www.nocobase.com/images/NocoBaseMindMapLite.png)

[点此查看完整图片](https://www.nocobase.com/images/NocoBaseMindMap.png)

## 联系

如果你希望加入我们一起开发 NocoBase，或者需要提供商业服务，欢迎通过邮件联系我们：hello@nocobase.com  

或者添加我们的微信：  

![](https://www.nocobase.com/images/wechat.png)  

## 安装

NocoBase 支持三种安装方式：

- <a target="_blank" href="https://docs-cn.nocobase.com/getting-started/installation/docker-compose">Docker 安装（推荐）</a>

   适合无代码场景，不需要写代码。升级时，下载最新镜像并重启即可。

- <a target="_blank" href="https://docs-cn.nocobase.com/getting-started/installation/create-nocobase-app">create-nocobase-app 安装</a>

   项目的业务代码完全独立，支持低代码开发。

- <a target="_blank" href="https://docs-cn.nocobase.com/getting-started/installation/git-clone">Git 源码安装</a>

   如果你想体验最新未发布版本，或者想参与贡献，需要在源码上进行修改、调试，建议选择这种安装方式，对开发技术水平要求较高，如果代码有更新，可以走 git 流程拉取最新代码。
